## Main Index:

- [Available Commands](#available-commands)
  - [Steps](#steps)
    - [release::publish (git flow publish)](#publish-git-flow-publish)
    - [release::push (git flow push)](#push-git-flow-push)
- [Plugins](#plugins)


## Available Commands:

### STEPS

#### release::publish (git flow publish)
[[Index]](#main-index)

### Description

Publish step for gitflow.

### Parameters

- **--deletedBranch**: String, name of the branch to be delete on remote.
- **--tag**: Boolean, if true -&gt; make a tag in actual branch and push it.
- **--jsonFiles**: [Array], default: [&#39;bower.json&#39;, &#39;package.json&#39;] : Sets json files to search in order to be changed, used by **runas-plugin-semver**

### Stages

#### Run

git push --all
git push --tags

#### release::push (git flow push)
[[Index]](#main-index)

### Description

Push step for gitflow.

### Parameters

- **--branchName**: String, name of the branch to be set as upstream

### Stages

#### Run

git push --set-upstream origin ${branchName}
git push --all
git push --tags