'use strict';

module.exports = {

  _setBranch() {
    if (this.params.branchName) {
      return this.execute(this.gitCmd, ['push', '--set-upstream', 'origin', this.params.branchName]);
    } else {
      return Promise.resolve();
    }
  },

  _push() {
    return this.execute(this.gitCmd, ['push', '--all'])
      .then(() => this.execute(this.gitCmd, ['push', '--tags']));
  },

  run(ok, ko) {
    if (!this.params.disablePush) {
      return this._setBranch()
        .then(() => this._push())
        .then(ok, ko);
    }
  }
};